
QGIS Application - Bug report #8857

sip: Unable to find file "QtCore/QtCoremod.sip"

2013-10-15 11:17 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17539

Description

I got the error in the Subject while building the 2.0 branch.

NOTE: sip wasn't installed at the time of the first cmake run, then I installed sip (#8856) and re-run cmake and make to get the above

error

History

#1 - 2013-10-15 11:26 AM - Sandro Santilli

Wiping out CMakeCache.txt and re-running cmake doesn't help. It still failes at 98% of the build :(

#2 - 2013-10-15 11:29 AM - Sandro Santilli

wiping out build dir and re-running cmake doesn't help either. Fails at 50% of build this time.

SIP version is 4.14.5. QT libs are version 4.8.4, this is on an Ubuntu 13.04

#3 - 2014-02-05 03:23 AM - Werner Macho

just as a note: on ubuntu you have to install python-qt4-dev package to solve this problem

#4 - 2014-06-12 11:33 AM - Even Rouault

Thanks Werner! I was pulling my hair desperately until I found this ticket. I'm wondering if there would be a way of detecting this missing dependency at

cmake stage. Other missing dependencies were not too hard to guess, but that one was subtle.

#5 - 2014-06-28 02:17 PM - Donovan Cameron

I can't get QGIS 2.4 to compile and get this error too on Arch Linux x86_64.

sip 4.16.1

python2-sip 4.16.1

qt4 4.8.6

python2-pyqt4 4.11

#6 - 2014-07-06 11:01 PM - Yoshihiko BABA
Donovan Cameron wrote:

I can't get QGIS 2.4 to compile and get this error too on Arch Linux x86_64.

sip 4.16.1

python2-sip 4.16.1

qt4 4.8.6

python2-pyqt4 4.11

You should copy-n-paste the error message, if you want to get help.  You may try:

cmake -D PYQT4_SIP_DIR=/path/to/pyqt4 -D SIP_TAGS=Qt_4_7_4

Read my fix for MacOSX.

http://www.uclmail.net/users/babayoshihiko/fink/qgis/pyqt4-sip/index.html

#7 - 2014-07-07 10:15 AM - Donovan Cameron

sip was updated the other day and now it compiles fine - I'll post error messages in the future, thanks =)

#8 - 2014-07-07 11:12 AM - Sandro Santilli

2.0 branch builds for me too now. I do have "python-qt4-dev" installed indeed.

#9 - 2014-10-02 06:18 AM - Denis Rouzaud

- Status changed from Open to Closed

on mac, solved with last versoins of PyQt / SIP
